Bug 124788

Summary: [CSS Shapes] Support for shape-margin in BoxShape
Product: WebKit Reporter: Hans Muller <giles_joplin>
Component: CSSAssignee: Hans Muller <giles_joplin>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, esprehn+autocc, glenn, kling, kondapallykalyan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 124173    
Attachments:
Description Flags
Patch
none
Patch none

Description Hans Muller 2013-11-22 13:10:31 PST
Currently specifying shape-margin for box shapes (http://dev.w3.org/csswg/css-shapes/#typedef-box) has no effect.
Comment 1 Hans Muller 2013-11-25 16:50:18 PST
Created attachment 217848 [details]
Patch

Just giving the bots a crack at an incomplete version of this patch.
Comment 2 Hans Muller 2013-11-26 09:58:25 PST
Created attachment 217885 [details]
Patch

Corrected BoxShape's internal shape-margin/paddding bounds FloatRoundedRect initialization. Tests for the padding bounds will be added when the rest of shape-padding for box shapes implementation is ready.
Comment 3 Andreas Kling 2013-11-26 10:44:32 PST
Comment on attachment 217885 [details]
Patch

Nice catch. r=me
Comment 4 WebKit Commit Bot 2013-11-26 11:17:03 PST
Comment on attachment 217885 [details]
Patch

Clearing flags on attachment: 217885

Committed r159787: <http://trac.webkit.org/changeset/159787>
Comment 5 WebKit Commit Bot 2013-11-26 11:17:05 PST
All reviewed patches have been landed.  Closing bug.